# This constraints file contains default clock frequencies to be used during out-of-context flows such as
# OOC Synthesis and Hierarchical Designs. For best results the frequencies should be modified
# to match the target frequencies.
# This constraints file is not used in normal top-down synthesis (the default flow of Vivado)

#######################################################################
# Clock frequencies for OOC flow - maximum supported                  #
#######################################################################
# Set Reference to 156.250MHz
create_clock -period 6.40  [get_ports refclk_p]

# Set AXI Clock to 100MHz
create_clock -period 10 [get_ports s_axi_aclk]

set_property HD.CLK_SRC BUFGCTRL_X0Y0 [get_ports s_axi_aclk]
